val epsilon : float
(** Value below which a float is considered null. Default is 10{^-20}. *)

val integrals_cutoff : float
(** Cutoff value for integrals. Default is 10{^-15}. *)

val pi : float
(** pi = 3.141_592_653_589_793_12 *)

val sq_pi : float
(** [sqrt pi] *)

val sq_pi_over_two : float
(** [(sqrt pi) /. 2.] *)

val pi_inv : float
(** [ 1. /. pi ] *)

val two_over_sq_pi : float
(** [ 2. /. (sqrt pi) ] *)

val a0 : float
(** Bohr radius : a{_0} = 0.529_177_210_671_2 Angstrom *)

val a0_inv : float
(** [ 1. /. a0 ] *)
